﻿using C1.Win.Chart;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace DataLabeldemo
{
    public partial class Form1 : Form
    {
        ObservableCollection<Fruit> Fruits;
        public Form1()
        {
            InitializeComponent();
            flexChart.Series.Clear();
            Fruits = new ObservableCollection<Fruit>();
            Random random = new Random();
            Fruits.Add(new Fruit() { Name = "Apple", Sales = random.Next(0, 100) });
            Fruits.Add(new Fruit() { Name = "Mango", Sales = random.Next(0, 100) });
            Fruits.Add(new Fruit() { Name = "Orange", Sales = random.Next(0, 100) });
            Fruits.Add(new Fruit() { Name = "Banana", Sales = random.Next(0, 100) });

            flexChart.BindingX = "Name";
            var series = new Series();
            series.Binding = "Sales";
            series.Name = "Sales";
            flexChart.DataSource = Fruits;
            flexChart.Series.Add(series);
            flexChart.AxisY.Max = 120;

            flexChart.DataLabel.Content = "{x} : {value}";
            flexChart.DataLabel.Position = C1.Chart.LabelPosition.Top;
            flexChart.DataLabel.Angle = 45;
        }
    }
    public class Fruit
    {
        public string Name { get; set; }
        public int Sales { get; set; }
    }
}
